org.eclipse.mat.ui.editor

## Class MultiPaneEditorSelectionProvider

- java.lang.Object
- - org.eclipse.mat.ui.editor.MultiPaneEditorSelectionProvider

    public class MultiPaneEditorSelectionProvider
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`MultiPaneEditorSelectionProvider(MultiPaneEditor multiPageEditor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSelectionChangedListener(ISelectionChangedListener listener)`
`void` `fireSelectionChanged(SelectionChangedEvent event)`
`MultiPaneEditor` `getHeapEditor()`
`ISelection` `getSelection()`
`void` `removeSelectionChangedListener(ISelectionChangedListener listener)`
`void` `setSelection(ISelection selection)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultiPaneEditorSelectionProvider

    public MultiPaneEditorSelectionProvider(MultiPaneEditor multiPageEditor)

### Method Detail

#### addSelectionChangedListener

    public void addSelectionChangedListener(ISelectionChangedListener listener)

#### fireSelectionChanged

    public void fireSelectionChanged(SelectionChangedEvent event)

#### getHeapEditor

    public MultiPaneEditor getHeapEditor()

#### getSelection

    public ISelection getSelection()

#### removeSelectionChangedListener

    public void removeSelectionChangedListener(ISelectionChangedListener listener)

#### setSelection

    public void setSelection(ISelection selection)